1 (edited by ThASattler 2021-04-23 16:59:05)

Topic: [Solved] Installation iRedMail-1.4.0: SOGo packages signatures Error

==== REQUIRED BASIC INFO OF YOUR IREDMAIL SERVER ====
- iRedMail version (check /etc/iredmail-release): 1.4.0
- Deployed with iRedMail Easy or the downloadable installer? Downloadable installer
- Linux/BSD distribution name and version: DEBIAN 10 Buster
- Store mail accounts in which backend (LDAP/MySQL/PGSQL): MySQL
- Web server (Apache or Nginx): Nginx
- Manage mail accounts with iRedAdmin-Pro? No
- [IMPORTANT] Related original log or error message is required if you're experiencing an issue.
====
During Installation of iRedMail-1.4.0 on a new installed DEBIAN 10 Linux I get get the followin error:

*************************************************************************
***************************** WARNING ***********************************
*************************************************************************
*                                                                       *
* Below file contains sensitive infomation (username/password), please  *
* do remember to *MOVE* it to a safe place after installation.          *
*                                                                       *
*   * /root/iRedMail-1.4.0/config
*                                                                       *
*************************************************************************
********************** Review your settings *****************************
*************************************************************************

* Storage base directory:               /var/vmail
* Mailboxes:
* Daily backup of SQL/LDAP databases:
* Store mail accounts in:               MariaDB
* Web server:                           Nginx
* First mail domain name:               xxserver.example.com
* Mail domain admin:                    postmaster@xxserver.example.com
* Additional components:                Roundcubemail SOGo netdata iRedAdmin Fail2ban

< Question > Continue? [y|N]y
[ INFO ] Add apt repo for SOGo: https://packages.inverse.ca
[ INFO ] Import apt key (0x810273C4) for SOGo repo (https://packages.inverse.ca).
E: gnupg, gnupg2 and gnupg1 do not seem to be installed, but one of them is required for this operation
E: gnupg, gnupg2 and gnupg1 do not seem to be installed, but one of them is required for this operation
[ INFO ] Resynchronizing the package index files (apt update) ...
Hit:1 http://debian.intergenia.de/debian buster InRelease
Hit:2 http://debian.intergenia.de/debian buster-updates InRelease
Hit:3 http://debian.intergenia.de/debian-security buster/updates InRelease
Get:4 https://packages.inverse.ca/SOGo/nightly/5/debian buster InRelease [2513 B]
Err:4 https://packages.inverse.ca/SOGo/nightly/5/debian buster InRelease
  The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 19CDA6A9810273C4
Reading package lists... Done
W: GPG error: https://packages.inverse.ca/SOGo/nightly/5/debian buster InRelease: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 19CDA6A9810273C4
E: The repository 'https://packages.inverse.ca/SOGo/nightly/5/debian buster InRelease' is not signed.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.
[ INFO ] Installing package(s): python3-setuptools python3-pip python3-wheel python3-requests uwsgi uwsgi-plugin-python3 postfix postfix-pcre libsasl2-modules mariadb-client mariadb-server postfix-mysql libdbd-mysql-perl php-cli php-fpm php-json php-gd php-curl mcrypt php-intl php-xml php-mbstring php-zip php-mysql nginx-full dovecot-imapd dovecot-pop3d dovecot-lmtpd dovecot-managesieved dovecot-sieve dovecot-mysql amavisd-new libcrypt-openssl-rsa-perl libmail-dkim-perl clamav-freshclam clamav-daemon spamassassin altermime arj nomarch cpio lzop cabextract p7zip-full rpm libmail-spf-perl unrar-free pax lrzip mlmmj python3-pymysql memcached sogo sogo-activesync sope4.9-gdl1-mysql python3-sqlalchemy python3-dnspython python3-pymysql python3-jinja2 python3-netifaces python3-bcrypt python3-dnspython python3-simplejson python3-pymysql fail2ban geoip-bin geoip-database zlib1g libuuid1 libmnl0 curl lm-sensors netcat bzip2 acl patch cron tofrodos logwatch unzip bsdutils liblz4-tool nftables
Reading package lists...
Building dependency tree...
Reading state information...
E: Unable to locate package sogo-activesync
E: Unable to locate package sope4.9-gdl1-mysql
E: Couldn't find any package by glob 'sope4.9-gdl1-mysql'
E: Couldn't find any package by regex 'sope4.9-gdl1-mysql'
<< ERROR >> Installation failed, please check the terminal output.
<< ERROR >> If you're not sure what the problem is, try to get help in iRedMail
<< ERROR >> forum: https://forum.iredmail.org/

2

Re: [Solved] Installation iRedMail-1.4.0: SOGo packages signatures Error

ThASattler wrote:

E: gnupg, gnupg2 and gnupg1 do not seem to be installed, but one of them is required for this operation

Try to install any of these gnupg packages first. smile

----

Buy me a cup of coffee ($5) to support iRedMail:

buy me a cup of coffee

3

Re: [Solved] Installation iRedMail-1.4.0: SOGo packages signatures Error

ZhangHuangbin wrote:

Try to install any of these gnupg packages first.

Thanks! This worked.
(No idea why gnupg was not installed)

4 (edited by KNERD 2021-10-10 08:33:07)

Re: [Solved] Installation iRedMail-1.4.0: SOGo packages signatures Error

ZhangHuangbin wrote:
ThASattler wrote:

E: gnupg, gnupg2 and gnupg1 do not seem to be installed, but one of them is required for this operation

Try to install any of these gnupg packages first. smile

This is still an issue even in 1.4.2 for Debian. Either the docs should be updated to inform the packages are needed, or have the install script do it.